Difference between revisions of "FEM Analysis/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "==Uso== # Premere il pulsante {{KEY|16px Analisi}}, oppure i tasti {{KEY|N}} e {{KEY|A}}. Viene creata e attivata una nuova Anal...")
(Created page with "==Opzioni== * Per ora non ci sono opzioni. * L'analisi in frequenza è in sviluppo. Vedere [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] per maggiori informazioni.")
Line 14: Line 14:
  
  
==Options==
+
==Opzioni==
* Up to date there is no option to choose.  
+
* Per ora non ci sono opzioni.  
* A frequency analysis in in development. See [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] for more informations.
+
* L'analisi in frequenza è in sviluppo. Vedere [http://forum.freecadweb.org/viewtopic.php?f=18&t=12189] per maggiori informazioni.
  
  

Revision as of 21:31, 18 March 2017

FEM Analysis.png Analisi FEM

Posizione nel menu
FEM → Contenitore analisi
Ambiente
FEM
Avvio veloce
N,A
Introdotto nella versione
-
Vedere anche
Tutorial FEM


Descrizione

Analisi FEM può essere visto come il contenitore di tutti gli oggetti di una Analisi agli elementi finiti. È obbligatorio avere un contenitore Analisi che contenga tutti gli oggetti necessari. Per poter eseguire un'analisi meccanica serve almeno uno dei seguenti oggetti:


Uso

  1. Premere il pulsante FEM Analysis.png Analisi, oppure i tasti N e A. Viene creata e attivata una nuova Analisi.
  2. Nel contenitore Analisi si possono aggiungere o rimuovere gli oggetti con azioni drag and drop.
  3. Per aggiungere nuovi oggetti FEM al documento l'analisi deve essere attiva. Fare doppio clic sull'analisi per attivarla.


Opzioni

  • Per ora non ci sono opzioni.
  • L'analisi in frequenza è in sviluppo. Vedere [1] per maggiori informazioni.


Properties

  • DataOutpuDir: Specifies the working directory of the analysis


Scripting

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name )
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ]
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member


Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member


Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский